about summary refs log tree commit diff stats
path: root/modules/home.legacy/wms/river/init.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules/home.legacy/wms/river/init.sh')
-rwxr-xr-xmodules/home.legacy/wms/river/init.sh80
1 files changed, 80 insertions, 0 deletions
diff --git a/modules/home.legacy/wms/river/init.sh b/modules/home.legacy/wms/river/init.sh
new file mode 100755
index 00000000..06a2e2f4
--- /dev/null
+++ b/modules/home.legacy/wms/river/init.sh
@@ -0,0 +1,80 @@
+#!/usr/bin/env bash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="2.1.2" . %SHELL_LIBRARY_PATH
+
+err_fail() {
+    if ! "$@"; then
+        warning "\"$*\" failed!\n" >>~/river_log
+        # msg "Executing the safe init!"
+        # exec ~/.config/river/res/safe_init.sh
+    fi
+}
+err_fail rm ~/river_log
+exec 1>>"$HOME"/river_log
+exec 2>>"$HOME"/river_log
+
+#trap err_fail ERR
+
+#Setup of environment variables {{{
+err_fail riverctl spawn "exec dbus-update-activation-environment --systemd SEATD_SOCK DISPLAY WAYLAND_DISPLAY DESKTOP_SESSION=river XDG_CURRENT_DESKTOP=river"
+export @env_vars@
+#}}}
+
+# Setup of mappings {{{
+@mappings@
+# }}}
+
+# Setup of Rules {{{
+err_fail riverctl rule-add -app-id float -title '*' float
+err_fail riverctl rule-add -app-id mpv -title '*' float
+err_fail riverctl rule-add -app-id ModernGL -title '*' float
+err_fail riverctl rule-add -app-id '*' -title 'Manim Slides' float
+err_fail riverctl rule-add -app-id '*' -title 'floating please' float
+
+err_fail riverctl rule-add -app-id '*' -title '*' ssd
+err_fail riverctl rule-add -app-id firefox -title '*' csd # This remove the focus border around Firefox (which is useful because the Firefox is nearly always in its own tag.)
+# }}}
+
+# Set riverctl settings {{{
+# background
+err_fail riverctl background-color 0x002b36
+err_fail riverctl border-color-focused 0x93a1a1
+err_fail riverctl border-color-unfocused 0x586e75
+
+# keyboard repeat rate
+err_fail riverctl set-repeat 50 300
+
+# Cursor
+err_fail riverctl focus-follows-cursor normal
+#riverctl hide-cursor timeout 2000
+err_fail riverctl hide-cursor when-typing enabled
+err_fail riverctl set-cursor-warp on-output-change
+err_fail riverctl xcursor-theme Nordzy-cursors 24
+
+err_fail riverctl input pointer-1133-49970-Logitech_Gaming_Mouse_G502 pointer-accel 0
+err_fail riverctl input pointer-1133-49970-Logitech_Gaming_Mouse_G502 accel-profile none
+
+err_fail riverctl input pointer-12951-6505-ZSA_Technology_Labs_Moonlander_Mark_I pointer-accel 0
+err_fail riverctl input pointer-12951-6505-ZSA_Technology_Labs_Moonlander_Mark_I accel-profile none
+# }}}
+
+# Setup of general apps {{{
+@screen_setup@
+
+err_fail yambar &
+
+err_fail mako &
+err_fail swaybg -i "$WALLPAPER" &
+err_fail swayidle &
+err_fail alacritty &
+# }}}
+
+# Setup of layout [acts as exec!] {{{
+err_fail riverctl default-layout rivertile
+@env_vars@ rivertile -main-ratio 0.5 -view-padding 1 -outer-padding 0
+
+#riverctl default-layout luatile
+#river-luatile
+# }}}
+# vim: ft=sh